package com.willalp.yiqing.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 疫情防控-任务负责人对象 hs_task_belong_user
 *
 * @author willalp
 * @date 2022-04-02
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("hs_task_belong_user")
public class HsTaskBelongUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String taskBelongId;

    /** 任务ID */
    @Excel(name = "任务ID")
    private String yqTaskId;

    /** 负责人用户编号 */
    @Excel(name = "负责人用户编号")
    private String belongUserNo;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 责任级别（0：主要负责人 1：二级负责人 3：执行人） */
    @Excel(name = "责任级别", readConverterExp = "0=：主要负责人,1=：二级负责人,3=：执行人")
    private Integer belongLevel;

    /** 是否已读（0：未读，1：已读） */
    @Excel(name = "是否已读", readConverterExp = "0=：未读，1=：已读）")
    private Integer msgIsRead;

    /** 是否接单（0：已接，1：未接） */
    @Excel(name = "是否接单", readConverterExp = "0=：已接，1=：未接）")
    private Integer isOrder;
     /**
     * 用户任务状态（0：未开始，1：进行中，2：结束，3：挂起）
     */
    @Excel(name = "用户任务状态", readConverterExp = "0=：未开始,1=：进行中,2=：结束,3=:挂起")
    private Integer userTaskStatus;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("taskBelongId", getTaskBelongId())
            .append("yqTaskId", getYqTaskId())
            .append("belongUserNo", getBelongUserNo())
            .append("nickName", getNickName())
            .append("belongLevel", getBelongLevel())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
